#ifndef __IPAddressList_h__
#define __IPAddressList_h__

#include "includes"
#include "IPAddress.h"

namespace core {

   class IPAddressList {

    public:
      IPAddressList();

      std::map<std::string, IPAddress> getList();
      void add(IPAddress ipAddress);
      bool remove(IPAddress ipAddress);
      bool contains(std::string ipAddress);

    private:
      std::map<std::string, IPAddress> list;
      std::map<std::string, IPAddress>::iterator it = list.begin();
   };

}

#endif
